GET /pool/{uuid}/objsync/

GET /pool/{uuid}/objsync/

/pool/{uuid}/objsync/

Request
URI
GET
https://{api_host}/api/pool/{uuid}/objsync
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PoolObjsync of type(s) application/json
{
    "hubuuid": "string",
    "hubVersions": [
        {
            "pooluuid": "string",
            "version": 0
        }
    ],
    "numSub": 0,
    "proc_id": "string",
    "se_uuid": "string",
    "subStats": [
        {
            "seuuid": "string",
            "versions": [
                {
                    "pooluuid": "string",
                    "version": 0
                }
            ]
        }
    ]
}
string
hubuuid
Required  

Hub uuid. Field introduced in 20.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
hubVersions
Optional

Pool hub versions. Field introduced in 20.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
numSub
Optional

Number of subscribers. Field introduced in 20.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
proc_id
Optional

Process id. Field introduced in 20.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
se_uuid
Optional

SE uuid. Field introduced in 20.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
subStats
Optional

Pool subscriber stats. Field introduced in 20.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/pool/{uuid}/objsync